Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04950 Crash/Freeze Critical (emulation) Always Jul 16, 2012, 21:34 7 days ago
Tester LordFlux View Status Public Platform MESS (Unofficial Binary)
Assigned To Kale Resolution Fixed OS Windows Vista/7 (64-bit)
Status [?] Resolved Driver pce.cpp
Version 0.146u3 Fixed in Version 0.191GIT Build Normal
Summary MESS-specific 04950: pce [draculax]: Game freezes at start of Stage 5
Description Game freezes at start of Stage 5
Steps To Reproduce mess pce -cart scdsys -cdrm draculax

Enter name as X-X!V''Q for Level Select cheat.

Choose Stage 5' from Stage Select
Additional Information
Flags
Regression Version
Affected Sets / Systems pce [draculax]
Attached Files
png file icon 0000.png (7,335 bytes) Jul 16, 2012, 21:34 Uploaded by LordFlux
LordFlux
Relationships
There are no relationsihp linked to this issue.
Notes
6
User avatar
No.08807
Tafoid
Administrator
Jul 16, 2012, 22:19
I'm told this is an obscure video bug causing this and this game has always done it with MESS. Confirmed, however.
User avatar
No.09211
Kale
Developer
Jan 4, 2013, 15:51
The new video device model shouldn't have this bug. If you can compile open mess.lst, check for pce_new and uncomment it. Compile, then run:

mess pce_new -cart scdsys -cdrm draculax

And it should work.
User avatar
No.09234
LordFlux
Tester
Jan 11, 2013, 17:05
I didn't have compiling tools to test before release, but I just tried draculax in 0.148 and it looks like the bug still exists.
User avatar
No.11709
Tafoid
Administrator
Jun 3, 2015, 04:18
Also some report of it freezing on other levels (Level 2)
User avatar
No.13464
EoceneMiacid
Tester
Dec 5, 2016, 14:47
Can confirm - I was just playing the game on 0.180 and it froze in stage 2, after walking down the stairs at this point >

http://imgur.com/a/xdbiY
User avatar
No.14255
Kale
Developer
7 days ago
edited on: 7 days ago
This is fixed, even tho Richter now becomes all blue in the reported stages.
http://mamedev.emulab.it/kale/fast/files/0184x.png

Apparently if I do m_raster_count == (m_rcr-1) that part gets fixed too but then I don't know how much right it is.
Might as well make a new bug report for this issue because it's a different one.